// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.0
// 	protoc        v3.19.6
// source: pkg/api/ground-control.proto

package groundcontrol

import (
	context "context"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type PxeFirmware int32

const (
	PxeFirmware_UEFI   PxeFirmware = 0
	PxeFirmware_LEGACY PxeFirmware = 1
)

// Enum value maps for PxeFirmware.
var (
	PxeFirmware_name = map[int32]string{
		0: "UEFI",
		1: "LEGACY",
	}
	PxeFirmware_value = map[string]int32{
		"UEFI":   0,
		"LEGACY": 1,
	}
)

func (x PxeFirmware) Enum() *PxeFirmware {
	p := new(PxeFirmware)
	*p = x
	return p
}

func (x PxeFirmware) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PxeFirmware) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_api_ground_control_proto_enumTypes[0].Descriptor()
}

func (PxeFirmware) Type() protoreflect.EnumType {
	return &file_pkg_api_ground_control_proto_enumTypes[0]
}

func (x PxeFirmware) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PxeFirmware.Descriptor instead.
func (PxeFirmware) EnumDescriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{0}
}

type BootState int32

const (
	BootState_DISK    BootState = 0 // boot from local disk
	BootState_INSTALL BootState = 1 // remote boot coreos installer
)

// Enum value maps for BootState.
var (
	BootState_name = map[int32]string{
		0: "DISK",
		1: "INSTALL",
	}
	BootState_value = map[string]int32{
		"DISK":    0,
		"INSTALL": 1,
	}
)

func (x BootState) Enum() *BootState {
	p := new(BootState)
	*p = x
	return p
}

func (x BootState) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (BootState) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_api_ground_control_proto_enumTypes[1].Descriptor()
}

func (BootState) Type() protoreflect.EnumType {
	return &file_pkg_api_ground_control_proto_enumTypes[1]
}

func (x BootState) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use BootState.Descriptor instead.
func (BootState) EnumDescriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{1}
}

type StatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StatusRequest) Reset() {
	*x = StatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusRequest) ProtoMessage() {}

func (x *StatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusRequest.ProtoReflect.Descriptor instead.
func (*StatusRequest) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{0}
}

type StatusResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *StatusResponse) Reset() {
	*x = StatusResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusResponse) ProtoMessage() {}

func (x *StatusResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusResponse.ProtoReflect.Descriptor instead.
func (*StatusResponse) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{1}
}

type ConfigureRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Node *NodeConfig `protobuf:"bytes,1,opt,name=node,proto3" json:"node,omitempty"`
}

func (x *ConfigureRequest) Reset() {
	*x = ConfigureRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfigureRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfigureRequest) ProtoMessage() {}

func (x *ConfigureRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfigureRequest.ProtoReflect.Descriptor instead.
func (*ConfigureRequest) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{2}
}

func (x *ConfigureRequest) GetNode() *NodeConfig {
	if x != nil {
		return x.Node
	}
	return nil
}

type ConfigureResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ConfigureResponse) Reset() {
	*x = ConfigureResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfigureResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfigureResponse) ProtoMessage() {}

func (x *ConfigureResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfigureResponse.ProtoReflect.Descriptor instead.
func (*ConfigureResponse) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{3}
}

type NodeConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name        string      `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Mac         string      `protobuf:"bytes,2,opt,name=mac,proto3" json:"mac,omitempty"`
	Netdev      string      `protobuf:"bytes,3,opt,name=netdev,proto3" json:"netdev,omitempty"`
	Ipv4        string      `protobuf:"bytes,4,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
	Ignition    string      `protobuf:"bytes,5,opt,name=ignition,proto3" json:"ignition,omitempty"`
	Power       string      `protobuf:"bytes,6,opt,name=power,proto3" json:"power,omitempty"`
	Alias       []string    `protobuf:"bytes,7,rep,name=alias,proto3" json:"alias,omitempty"`
	Installdisk string      `protobuf:"bytes,8,opt,name=installdisk,proto3" json:"installdisk,omitempty"`
	Pxeargs     string      `protobuf:"bytes,9,opt,name=pxeargs,proto3" json:"pxeargs,omitempty"`
	Firmware    PxeFirmware `protobuf:"varint,10,opt,name=firmware,proto3,enum=groundcontrol.PxeFirmware" json:"firmware,omitempty"`
	Boot        BootState   `protobuf:"varint,11,opt,name=boot,proto3,enum=groundcontrol.BootState" json:"boot,omitempty"`
}

func (x *NodeConfig) Reset() {
	*x = NodeConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NodeConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeConfig) ProtoMessage() {}

func (x *NodeConfig) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeConfig.ProtoReflect.Descriptor instead.
func (*NodeConfig) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{4}
}

func (x *NodeConfig) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *NodeConfig) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

func (x *NodeConfig) GetNetdev() string {
	if x != nil {
		return x.Netdev
	}
	return ""
}

func (x *NodeConfig) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

func (x *NodeConfig) GetIgnition() string {
	if x != nil {
		return x.Ignition
	}
	return ""
}

func (x *NodeConfig) GetPower() string {
	if x != nil {
		return x.Power
	}
	return ""
}

func (x *NodeConfig) GetAlias() []string {
	if x != nil {
		return x.Alias
	}
	return nil
}

func (x *NodeConfig) GetInstalldisk() string {
	if x != nil {
		return x.Installdisk
	}
	return ""
}

func (x *NodeConfig) GetPxeargs() string {
	if x != nil {
		return x.Pxeargs
	}
	return ""
}

func (x *NodeConfig) GetFirmware() PxeFirmware {
	if x != nil {
		return x.Firmware
	}
	return PxeFirmware_UEFI
}

func (x *NodeConfig) GetBoot() BootState {
	if x != nil {
		return x.Boot
	}
	return BootState_DISK
}

type SwitchConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name  string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Mac   string   `protobuf:"bytes,2,opt,name=mac,proto3" json:"mac,omitempty"`
	Ipv4  string   `protobuf:"bytes,3,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
	Ztp   string   `protobuf:"bytes,4,opt,name=ztp,proto3" json:"ztp,omitempty"`
	Power string   `protobuf:"bytes,5,opt,name=power,proto3" json:"power,omitempty"`
	Alias []string `protobuf:"bytes,8,rep,name=alias,proto3" json:"alias,omitempty"`
}

func (x *SwitchConfig) Reset() {
	*x = SwitchConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SwitchConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SwitchConfig) ProtoMessage() {}

func (x *SwitchConfig) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SwitchConfig.ProtoReflect.Descriptor instead.
func (*SwitchConfig) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{5}
}

func (x *SwitchConfig) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *SwitchConfig) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

func (x *SwitchConfig) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

func (x *SwitchConfig) GetZtp() string {
	if x != nil {
		return x.Ztp
	}
	return ""
}

func (x *SwitchConfig) GetPower() string {
	if x != nil {
		return x.Power
	}
	return ""
}

func (x *SwitchConfig) GetAlias() []string {
	if x != nil {
		return x.Alias
	}
	return nil
}

type PowerController struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are assignable to Config:
	//
	//	*PowerController_Raven
	Config isPowerController_Config `protobuf_oneof:"config"`
}

func (x *PowerController) Reset() {
	*x = PowerController{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PowerController) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PowerController) ProtoMessage() {}

func (x *PowerController) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PowerController.ProtoReflect.Descriptor instead.
func (*PowerController) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{6}
}

func (x *PowerController) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (m *PowerController) GetConfig() isPowerController_Config {
	if m != nil {
		return m.Config
	}
	return nil
}

func (x *PowerController) GetRaven() *RavenConfig {
	if x, ok := x.GetConfig().(*PowerController_Raven); ok {
		return x.Raven
	}
	return nil
}

type isPowerController_Config interface {
	isPowerController_Config()
}

type PowerController_Raven struct {
	Raven *RavenConfig `protobuf:"bytes,2,opt,name=raven,proto3,oneof"`
}

func (*PowerController_Raven) isPowerController_Config() {}

type RavenConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Address string `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
}

func (x *RavenConfig) Reset() {
	*x = RavenConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RavenConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RavenConfig) ProtoMessage() {}

func (x *RavenConfig) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RavenConfig.ProtoReflect.Descriptor instead.
func (*RavenConfig) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{7}
}

func (x *RavenConfig) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

type PowerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *PowerRequest) Reset() {
	*x = PowerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PowerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PowerRequest) ProtoMessage() {}

func (x *PowerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PowerRequest.ProtoReflect.Descriptor instead.
func (*PowerRequest) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{8}
}

type PowerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *PowerResponse) Reset() {
	*x = PowerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PowerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PowerResponse) ProtoMessage() {}

func (x *PowerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PowerResponse.ProtoReflect.Descriptor instead.
func (*PowerResponse) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{9}
}

type Dance4Request struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mac   string   `protobuf:"bytes,1,opt,name=mac,proto3" json:"mac,omitempty"`
	Ipv4  string   `protobuf:"bytes,2,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
	Names []string `protobuf:"bytes,3,rep,name=names,proto3" json:"names,omitempty"`
}

func (x *Dance4Request) Reset() {
	*x = Dance4Request{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Dance4Request) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Dance4Request) ProtoMessage() {}

func (x *Dance4Request) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Dance4Request.ProtoReflect.Descriptor instead.
func (*Dance4Request) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{10}
}

func (x *Dance4Request) GetMac() string {
	if x != nil {
		return x.Mac
	}
	return ""
}

func (x *Dance4Request) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

func (x *Dance4Request) GetNames() []string {
	if x != nil {
		return x.Names
	}
	return nil
}

type Dance4Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ipv4 string `protobuf:"bytes,1,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
}

func (x *Dance4Response) Reset() {
	*x = Dance4Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Dance4Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Dance4Response) ProtoMessage() {}

func (x *Dance4Response) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Dance4Response.ProtoReflect.Descriptor instead.
func (*Dance4Response) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{11}
}

func (x *Dance4Response) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

type IP4Request struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ipv4 string `protobuf:"bytes,1,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
}

func (x *IP4Request) Reset() {
	*x = IP4Request{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IP4Request) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IP4Request) ProtoMessage() {}

func (x *IP4Request) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IP4Request.ProtoReflect.Descriptor instead.
func (*IP4Request) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{12}
}

func (x *IP4Request) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

type IP4Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ipv4 string `protobuf:"bytes,1,opt,name=ipv4,proto3" json:"ipv4,omitempty"`
	Bits int32  `protobuf:"varint,2,opt,name=bits,proto3" json:"bits,omitempty"`
}

func (x *IP4Response) Reset() {
	*x = IP4Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_api_ground_control_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IP4Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IP4Response) ProtoMessage() {}

func (x *IP4Response) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_api_ground_control_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IP4Response.ProtoReflect.Descriptor instead.
func (*IP4Response) Descriptor() ([]byte, []int) {
	return file_pkg_api_ground_control_proto_rawDescGZIP(), []int{13}
}

func (x *IP4Response) GetIpv4() string {
	if x != nil {
		return x.Ipv4
	}
	return ""
}

func (x *IP4Response) GetBits() int32 {
	if x != nil {
		return x.Bits
	}
	return 0
}

var File_pkg_api_ground_control_proto protoreflect.FileDescriptor

var file_pkg_api_ground_control_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x70, 0x6b, 0x67, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64,
	0x2d, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0d,
	0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x1a, 0x1c, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x0f, 0x0a, 0x0d, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x10, 0x0a, 0x0e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x41,
	0x0a, 0x10, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x2d, 0x0a, 0x04, 0x6e, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x19, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c,
	0x2e, 0x4e, 0x6f, 0x64, 0x65, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x04, 0x6e, 0x6f, 0x64,
	0x65, 0x22, 0x13, 0x0a, 0x11, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xc8, 0x02, 0x0a, 0x0a, 0x4e, 0x6f, 0x64, 0x65, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x61, 0x63,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x63, 0x12, 0x16, 0x0a, 0x06, 0x6e,
	0x65, 0x74, 0x64, 0x65, 0x76, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6e, 0x65, 0x74,
	0x64, 0x65, 0x76, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x34, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x69, 0x70, 0x76, 0x34, 0x12, 0x1a, 0x0a, 0x08, 0x69, 0x67, 0x6e, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x69, 0x67, 0x6e, 0x69, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x6c, 0x69,
	0x61, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x12,
	0x20, 0x0a, 0x0b, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x64, 0x69, 0x73, 0x6b, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x64, 0x69, 0x73,
	0x6b, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x78, 0x65, 0x61, 0x72, 0x67, 0x73, 0x18, 0x09, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x70, 0x78, 0x65, 0x61, 0x72, 0x67, 0x73, 0x12, 0x36, 0x0a, 0x08, 0x66,
	0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1a, 0x2e,
	0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x50, 0x78,
	0x65, 0x46, 0x69, 0x72, 0x6d, 0x77, 0x61, 0x72, 0x65, 0x52, 0x08, 0x66, 0x69, 0x72, 0x6d, 0x77,
	0x61, 0x72, 0x65, 0x12, 0x2c, 0x0a, 0x04, 0x62, 0x6f, 0x6f, 0x74, 0x18, 0x0b, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x18, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f,
	0x6c, 0x2e, 0x42, 0x6f, 0x6f, 0x74, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x04, 0x62, 0x6f, 0x6f,
	0x74, 0x22, 0x86, 0x01, 0x0a, 0x0c, 0x53, 0x77, 0x69, 0x74, 0x63, 0x68, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x61, 0x63, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x63, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x34,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x70, 0x76, 0x34, 0x12, 0x10, 0x0a, 0x03,
	0x7a, 0x74, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x7a, 0x74, 0x70, 0x12, 0x14,
	0x0a, 0x05, 0x70, 0x6f, 0x77, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x70,
	0x6f, 0x77, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x18, 0x08, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x05, 0x61, 0x6c, 0x69, 0x61, 0x73, 0x22, 0x63, 0x0a, 0x0f, 0x50, 0x6f,
	0x77, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x72, 0x12, 0x12, 0x0a,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x12, 0x32, 0x0a, 0x05, 0x72, 0x61, 0x76, 0x65, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c,
	0x2e, 0x52, 0x61, 0x76, 0x65, 0x6e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x48, 0x00, 0x52, 0x05,
	0x72, 0x61, 0x76, 0x65, 0x6e, 0x42, 0x08, 0x0a, 0x06, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x22,
	0x27, 0x0a, 0x0b, 0x52, 0x61, 0x76, 0x65, 0x6e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x18,
	0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0x0e, 0x0a, 0x0c, 0x50, 0x6f, 0x77, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x0f, 0x0a, 0x0d, 0x50, 0x6f, 0x77, 0x65,
	0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x4b, 0x0a, 0x0d, 0x44, 0x61, 0x6e,
	0x63, 0x65, 0x34, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x10, 0x0a, 0x03, 0x6d, 0x61,
	0x63, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6d, 0x61, 0x63, 0x12, 0x12, 0x0a, 0x04,
	0x69, 0x70, 0x76, 0x34, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x70, 0x76, 0x34,
	0x12, 0x14, 0x0a, 0x05, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52,
	0x05, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x22, 0x24, 0x0a, 0x0e, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x34,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70, 0x76, 0x34,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x70, 0x76, 0x34, 0x22, 0x20, 0x0a, 0x0a,
	0x49, 0x50, 0x34, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x70,
	0x76, 0x34, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x70, 0x76, 0x34, 0x22, 0x35,
	0x0a, 0x0b, 0x49, 0x50, 0x34, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x12, 0x0a,
	0x04, 0x69, 0x70, 0x76, 0x34, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x69, 0x70, 0x76,
	0x34, 0x12, 0x12, 0x0a, 0x04, 0x62, 0x69, 0x74, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x04, 0x62, 0x69, 0x74, 0x73, 0x2a, 0x23, 0x0a, 0x0b, 0x50, 0x78, 0x65, 0x46, 0x69, 0x72, 0x6d,
	0x77, 0x61, 0x72, 0x65, 0x12, 0x08, 0x0a, 0x04, 0x55, 0x45, 0x46, 0x49, 0x10, 0x00, 0x12, 0x0a,
	0x0a, 0x06, 0x4c, 0x45, 0x47, 0x41, 0x43, 0x59, 0x10, 0x01, 0x2a, 0x22, 0x0a, 0x09, 0x42, 0x6f,
	0x6f, 0x74, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x08, 0x0a, 0x04, 0x44, 0x49, 0x53, 0x4b, 0x10,
	0x00, 0x12, 0x0b, 0x0a, 0x07, 0x49, 0x4e, 0x53, 0x54, 0x41, 0x4c, 0x4c, 0x10, 0x01, 0x32, 0x97,
	0x05, 0x0a, 0x0d, 0x47, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c,
	0x12, 0x56, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1c, 0x2e, 0x67, 0x72, 0x6f,
	0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e,
	0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x0f, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x09, 0x12,
	0x07, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x65, 0x0a, 0x09, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x75, 0x72, 0x65, 0x12, 0x1f, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63,
	0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x15, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0f,
	0x22, 0x0a, 0x2f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x65, 0x3a, 0x01, 0x2a, 0x12,
	0x55, 0x0a, 0x05, 0x50, 0x6f, 0x77, 0x65, 0x72, 0x12, 0x1b, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e,
	0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x50, 0x6f, 0x77, 0x65, 0x72, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f,
	0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x50, 0x6f, 0x77, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x11, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0b, 0x22, 0x06, 0x2f, 0x70, 0x6f,
	0x77, 0x65, 0x72, 0x3a, 0x01, 0x2a, 0x12, 0x61, 0x0a, 0x0e, 0x41, 0x64, 0x64, 0x44, 0x61, 0x6e,
	0x63, 0x65, 0x34, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x1c, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e,
	0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x34, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63,
	0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x34, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x12, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0c, 0x22, 0x07, 0x2f,
	0x64, 0x61, 0x6e, 0x63, 0x65, 0x34, 0x3a, 0x01, 0x2a, 0x12, 0x64, 0x0a, 0x0e, 0x44, 0x65, 0x6c,
	0x44, 0x61, 0x6e, 0x63, 0x65, 0x34, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x1c, 0x2e, 0x67, 0x72,
	0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x44, 0x61, 0x6e, 0x63,
	0x65, 0x34, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x67, 0x72, 0x6f, 0x75,
	0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x44, 0x61, 0x6e, 0x63, 0x65, 0x34,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x15, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0f,
	0x2a, 0x0d, 0x2f, 0x64, 0x61, 0x6e, 0x63, 0x65, 0x34, 0x2f, 0x7b, 0x6d, 0x61, 0x63, 0x7d, 0x12,
	0x50, 0x0a, 0x06, 0x4e, 0x65, 0x77, 0x49, 0x50, 0x34, 0x12, 0x19, 0x2e, 0x67, 0x72, 0x6f, 0x75,
	0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x49, 0x50, 0x34, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e,
	0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x49, 0x50, 0x34, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x0f, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x09, 0x22, 0x04, 0x2f, 0x69, 0x70, 0x34, 0x3a, 0x01,
	0x2a, 0x12, 0x55, 0x0a, 0x07, 0x46, 0x72, 0x65, 0x65, 0x49, 0x50, 0x34, 0x12, 0x19, 0x2e, 0x67,
	0x72, 0x6f, 0x75, 0x6e, 0x64, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x49, 0x50, 0x34,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64,
	0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x2e, 0x49, 0x50, 0x34, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x13, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0d, 0x2a, 0x0b, 0x2f, 0x69, 0x70,
	0x34, 0x2f, 0x7b, 0x69, 0x70, 0x76, 0x34, 0x7d, 0x42, 0x3d, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65, 0x74, 0x62, 0x2f, 0x6f,
	0x70, 0x73, 0x2f, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x2d, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f,
	0x6c, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x61, 0x70, 0x69, 0x3b, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64,
	0x63, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_api_ground_control_proto_rawDescOnce sync.Once
	file_pkg_api_ground_control_proto_rawDescData = file_pkg_api_ground_control_proto_rawDesc
)

func file_pkg_api_ground_control_proto_rawDescGZIP() []byte {
	file_pkg_api_ground_control_proto_rawDescOnce.Do(func() {
		file_pkg_api_ground_control_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_api_ground_control_proto_rawDescData)
	})
	return file_pkg_api_ground_control_proto_rawDescData
}

var file_pkg_api_ground_control_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_pkg_api_ground_control_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_pkg_api_ground_control_proto_goTypes = []interface{}{
	(PxeFirmware)(0),          // 0: groundcontrol.PxeFirmware
	(BootState)(0),            // 1: groundcontrol.BootState
	(*StatusRequest)(nil),     // 2: groundcontrol.StatusRequest
	(*StatusResponse)(nil),    // 3: groundcontrol.StatusResponse
	(*ConfigureRequest)(nil),  // 4: groundcontrol.ConfigureRequest
	(*ConfigureResponse)(nil), // 5: groundcontrol.ConfigureResponse
	(*NodeConfig)(nil),        // 6: groundcontrol.NodeConfig
	(*SwitchConfig)(nil),      // 7: groundcontrol.SwitchConfig
	(*PowerController)(nil),   // 8: groundcontrol.PowerController
	(*RavenConfig)(nil),       // 9: groundcontrol.RavenConfig
	(*PowerRequest)(nil),      // 10: groundcontrol.PowerRequest
	(*PowerResponse)(nil),     // 11: groundcontrol.PowerResponse
	(*Dance4Request)(nil),     // 12: groundcontrol.Dance4Request
	(*Dance4Response)(nil),    // 13: groundcontrol.Dance4Response
	(*IP4Request)(nil),        // 14: groundcontrol.IP4Request
	(*IP4Response)(nil),       // 15: groundcontrol.IP4Response
}
var file_pkg_api_ground_control_proto_depIdxs = []int32{
	6,  // 0: groundcontrol.ConfigureRequest.node:type_name -> groundcontrol.NodeConfig
	0,  // 1: groundcontrol.NodeConfig.firmware:type_name -> groundcontrol.PxeFirmware
	1,  // 2: groundcontrol.NodeConfig.boot:type_name -> groundcontrol.BootState
	9,  // 3: groundcontrol.PowerController.raven:type_name -> groundcontrol.RavenConfig
	2,  // 4: groundcontrol.GroundControl.Status:input_type -> groundcontrol.StatusRequest
	4,  // 5: groundcontrol.GroundControl.Configure:input_type -> groundcontrol.ConfigureRequest
	10, // 6: groundcontrol.GroundControl.Power:input_type -> groundcontrol.PowerRequest
	12, // 7: groundcontrol.GroundControl.AddDance4Entry:input_type -> groundcontrol.Dance4Request
	12, // 8: groundcontrol.GroundControl.DelDance4Entry:input_type -> groundcontrol.Dance4Request
	14, // 9: groundcontrol.GroundControl.NewIP4:input_type -> groundcontrol.IP4Request
	14, // 10: groundcontrol.GroundControl.FreeIP4:input_type -> groundcontrol.IP4Request
	3,  // 11: groundcontrol.GroundControl.Status:output_type -> groundcontrol.StatusResponse
	5,  // 12: groundcontrol.GroundControl.Configure:output_type -> groundcontrol.ConfigureResponse
	11, // 13: groundcontrol.GroundControl.Power:output_type -> groundcontrol.PowerResponse
	13, // 14: groundcontrol.GroundControl.AddDance4Entry:output_type -> groundcontrol.Dance4Response
	13, // 15: groundcontrol.GroundControl.DelDance4Entry:output_type -> groundcontrol.Dance4Response
	15, // 16: groundcontrol.GroundControl.NewIP4:output_type -> groundcontrol.IP4Response
	15, // 17: groundcontrol.GroundControl.FreeIP4:output_type -> groundcontrol.IP4Response
	11, // [11:18] is the sub-list for method output_type
	4,  // [4:11] is the sub-list for method input_type
	4,  // [4:4] is the sub-list for extension type_name
	4,  // [4:4] is the sub-list for extension extendee
	0,  // [0:4] is the sub-list for field type_name
}

func init() { file_pkg_api_ground_control_proto_init() }
func file_pkg_api_ground_control_proto_init() {
	if File_pkg_api_ground_control_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_api_ground_control_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfigureRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfigureResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NodeConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SwitchConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PowerController); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RavenConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PowerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PowerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Dance4Request); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Dance4Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IP4Request); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_api_ground_control_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IP4Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_pkg_api_ground_control_proto_msgTypes[6].OneofWrappers = []interface{}{
		(*PowerController_Raven)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_api_ground_control_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_pkg_api_ground_control_proto_goTypes,
		DependencyIndexes: file_pkg_api_ground_control_proto_depIdxs,
		EnumInfos:         file_pkg_api_ground_control_proto_enumTypes,
		MessageInfos:      file_pkg_api_ground_control_proto_msgTypes,
	}.Build()
	File_pkg_api_ground_control_proto = out.File
	file_pkg_api_ground_control_proto_rawDesc = nil
	file_pkg_api_ground_control_proto_goTypes = nil
	file_pkg_api_ground_control_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// GroundControlClient is the client API for GroundControl service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type GroundControlClient interface {
	Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusResponse, error)
	Configure(ctx context.Context, in *ConfigureRequest, opts ...grpc.CallOption) (*ConfigureResponse, error)
	Power(ctx context.Context, in *PowerRequest, opts ...grpc.CallOption) (*PowerResponse, error)
	AddDance4Entry(ctx context.Context, in *Dance4Request, opts ...grpc.CallOption) (*Dance4Response, error)
	DelDance4Entry(ctx context.Context, in *Dance4Request, opts ...grpc.CallOption) (*Dance4Response, error)
	NewIP4(ctx context.Context, in *IP4Request, opts ...grpc.CallOption) (*IP4Response, error)
	FreeIP4(ctx context.Context, in *IP4Request, opts ...grpc.CallOption) (*IP4Response, error)
}

type groundControlClient struct {
	cc grpc.ClientConnInterface
}

func NewGroundControlClient(cc grpc.ClientConnInterface) GroundControlClient {
	return &groundControlClient{cc}
}

func (c *groundControlClient) Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusResponse, error) {
	out := new(StatusResponse)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/Status", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *groundControlClient) Configure(ctx context.Context, in *ConfigureRequest, opts ...grpc.CallOption) (*ConfigureResponse, error) {
	out := new(ConfigureResponse)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/Configure", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *groundControlClient) Power(ctx context.Context, in *PowerRequest, opts ...grpc.CallOption) (*PowerResponse, error) {
	out := new(PowerResponse)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/Power", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *groundControlClient) AddDance4Entry(ctx context.Context, in *Dance4Request, opts ...grpc.CallOption) (*Dance4Response, error) {
	out := new(Dance4Response)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/AddDance4Entry", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *groundControlClient) DelDance4Entry(ctx context.Context, in *Dance4Request, opts ...grpc.CallOption) (*Dance4Response, error) {
	out := new(Dance4Response)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/DelDance4Entry", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *groundControlClient) NewIP4(ctx context.Context, in *IP4Request, opts ...grpc.CallOption) (*IP4Response, error) {
	out := new(IP4Response)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/NewIP4", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *groundControlClient) FreeIP4(ctx context.Context, in *IP4Request, opts ...grpc.CallOption) (*IP4Response, error) {
	out := new(IP4Response)
	err := c.cc.Invoke(ctx, "/groundcontrol.GroundControl/FreeIP4", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// GroundControlServer is the server API for GroundControl service.
type GroundControlServer interface {
	Status(context.Context, *StatusRequest) (*StatusResponse, error)
	Configure(context.Context, *ConfigureRequest) (*ConfigureResponse, error)
	Power(context.Context, *PowerRequest) (*PowerResponse, error)
	AddDance4Entry(context.Context, *Dance4Request) (*Dance4Response, error)
	DelDance4Entry(context.Context, *Dance4Request) (*Dance4Response, error)
	NewIP4(context.Context, *IP4Request) (*IP4Response, error)
	FreeIP4(context.Context, *IP4Request) (*IP4Response, error)
}

// UnimplementedGroundControlServer can be embedded to have forward compatible implementations.
type UnimplementedGroundControlServer struct {
}

func (*UnimplementedGroundControlServer) Status(context.Context, *StatusRequest) (*StatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Status not implemented")
}
func (*UnimplementedGroundControlServer) Configure(context.Context, *ConfigureRequest) (*ConfigureResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Configure not implemented")
}
func (*UnimplementedGroundControlServer) Power(context.Context, *PowerRequest) (*PowerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Power not implemented")
}
func (*UnimplementedGroundControlServer) AddDance4Entry(context.Context, *Dance4Request) (*Dance4Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddDance4Entry not implemented")
}
func (*UnimplementedGroundControlServer) DelDance4Entry(context.Context, *Dance4Request) (*Dance4Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DelDance4Entry not implemented")
}
func (*UnimplementedGroundControlServer) NewIP4(context.Context, *IP4Request) (*IP4Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method NewIP4 not implemented")
}
func (*UnimplementedGroundControlServer) FreeIP4(context.Context, *IP4Request) (*IP4Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FreeIP4 not implemented")
}

func RegisterGroundControlServer(s *grpc.Server, srv GroundControlServer) {
	s.RegisterService(&_GroundControl_serviceDesc, srv)
}

func _GroundControl_Status_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).Status(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/Status",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).Status(ctx, req.(*StatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _GroundControl_Configure_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ConfigureRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).Configure(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/Configure",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).Configure(ctx, req.(*ConfigureRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _GroundControl_Power_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PowerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).Power(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/Power",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).Power(ctx, req.(*PowerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _GroundControl_AddDance4Entry_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Dance4Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).AddDance4Entry(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/AddDance4Entry",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).AddDance4Entry(ctx, req.(*Dance4Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _GroundControl_DelDance4Entry_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Dance4Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).DelDance4Entry(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/DelDance4Entry",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).DelDance4Entry(ctx, req.(*Dance4Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _GroundControl_NewIP4_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(IP4Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).NewIP4(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/NewIP4",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).NewIP4(ctx, req.(*IP4Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _GroundControl_FreeIP4_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(IP4Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GroundControlServer).FreeIP4(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/groundcontrol.GroundControl/FreeIP4",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GroundControlServer).FreeIP4(ctx, req.(*IP4Request))
	}
	return interceptor(ctx, in, info, handler)
}

var _GroundControl_serviceDesc = grpc.ServiceDesc{
	ServiceName: "groundcontrol.GroundControl",
	HandlerType: (*GroundControlServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Status",
			Handler:    _GroundControl_Status_Handler,
		},
		{
			MethodName: "Configure",
			Handler:    _GroundControl_Configure_Handler,
		},
		{
			MethodName: "Power",
			Handler:    _GroundControl_Power_Handler,
		},
		{
			MethodName: "AddDance4Entry",
			Handler:    _GroundControl_AddDance4Entry_Handler,
		},
		{
			MethodName: "DelDance4Entry",
			Handler:    _GroundControl_DelDance4Entry_Handler,
		},
		{
			MethodName: "NewIP4",
			Handler:    _GroundControl_NewIP4_Handler,
		},
		{
			MethodName: "FreeIP4",
			Handler:    _GroundControl_FreeIP4_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pkg/api/ground-control.proto",
}
